<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- cli-setup-android.qdoc -->
  <title>setup-android | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >setup-android</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#synopsis">Synopsis</a></li>
<li class="level1"><a href="#description">Description</a></li>
<li class="level1"><a href="#options">Options</a></li>
<li class="level2"><a href="#op-op-op-op-settings-op-op-dir-op-lt-op-directory-op-gt-op"><code>--settings-dir &lt;directory&gt;</code></a></li>
<li class="level2"><a href="#op-op-op-op-ndk-op-op-dir-op-lt-op-directory-op-gt-op"><code>--ndk-dir &lt;directory&gt;</code></a></li>
<li class="level2"><a href="#op-op-op-op-sdk-op-op-dir-op-lt-op-directory-op-gt-op"><code>--sdk-dir &lt;directory&gt;</code></a></li>
<li class="level2"><a href="#op-op-op-op-qt-op-op-dir-op-lt-op-directory-op-gt-op"><code>--qt-dir &lt;directory&gt;</code></a></li>
<li class="level2"><a href="#op-op-op-op-help-op-op-op-op-h-op-op-op-op-op-op"><code>--help|-h|-?</code></a></li>
<li class="level1"><a href="#examples">Examples</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">setup-android</h1>
<span class="subtitle"></span>
<!-- $$$cli-setup-android.html-description -->
<div class="descr"> <a name="details"></a>
<a name="synopsis"></a>
<h2 id="synopsis">Synopsis</h2>
<pre class="cpp">

  qbs setup<span class="operator">-</span>android <span class="operator">[</span><span class="operator">-</span><span class="operator">-</span>settings<span class="operator">-</span>dir <span class="operator">&lt;</span>directory<span class="operator">&gt;</span><span class="operator">]</span> <span class="operator">[</span><span class="operator">-</span><span class="operator">-</span>ndk<span class="operator">-</span>dir <span class="operator">&lt;</span>directory<span class="operator">&gt;</span><span class="operator">]</span>
                    <span class="operator">[</span><span class="operator">-</span><span class="operator">-</span>sdk<span class="operator">-</span>dir <span class="operator">&lt;</span>directory<span class="operator">&gt;</span><span class="operator">]</span> <span class="operator">[</span><span class="operator">-</span><span class="operator">-</span>qt<span class="operator">-</span>dir <span class="operator">&lt;</span>directory<span class="operator">&gt;</span><span class="operator">]</span>
                    <span class="operator">&lt;</span>profile name<span class="operator">&gt;</span>

</pre>
<a name="description"></a>
<h2 id="description">Description</h2>
<p>Creates Qbs profiles for Android SDK and NDK installations.</p>
<p>If a Qt path is given, these additional profiles will be suitable for building Qt binaries for the respective architecture, if the Qt installation has support for it.</p>
<a name="options"></a>
<h2 id="options">Options</h2>
<a name="op-op-op-op-settings-op-op-dir-op-lt-op-directory-op-gt-op"></a>
<h3 id="op-op-op-op-settings-op-op-dir-op-lt-op-directory-op-gt-op"><code>--settings-dir &lt;directory&gt;</code></h3>
<p>Reads all settings (such as <a href="qml-qbslanguageitems-profile.html">profile</a> information) from the specified <code>&lt;directory&gt;</code>. If the directory does not exist, it will be created.</p>
<p>The default value is system-specific. For example:</p>
<ul>
<li>Linux: <code>$HOME/.config/QtProject/qbs</code></li>
<li>Windows: <code>%APPDATA%\QtProject\qbs</code></li>
<li><a href="nolink">macOS</a>: <code>$HOME/Library/Preferences/qbs</code></li>
</ul>
<a name="op-op-op-op-ndk-op-op-dir-op-lt-op-directory-op-gt-op"></a>
<h3 id="op-op-op-op-ndk-op-op-dir-op-lt-op-directory-op-gt-op"><code>--ndk-dir &lt;directory&gt;</code></h3>
<p>Specifies a <code>&lt;directory&gt;</code> that contains an Android NDK.</p>
<a name="op-op-op-op-sdk-op-op-dir-op-lt-op-directory-op-gt-op"></a>
<h3 id="op-op-op-op-sdk-op-op-dir-op-lt-op-directory-op-gt-op"><code>--sdk-dir &lt;directory&gt;</code></h3>
<p>Specifies a <code>&lt;directory&gt;</code> that contains an Android SDK.</p>
<a name="op-op-op-op-qt-op-op-dir-op-lt-op-directory-op-gt-op"></a>
<h3 id="op-op-op-op-qt-op-op-dir-op-lt-op-directory-op-gt-op"><code>--qt-dir &lt;directory&gt;</code></h3>
<p>Specifies a <code>&lt;directory&gt;</code> that contains a Qt version.</p>
<a name="op-op-op-op-help-op-op-op-op-h-op-op-op-op-op-op"></a>
<h3 id="op-op-op-op-help-op-op-op-op-h-op-op-op-op-op-op"><code>--help|-h|-?</code></h3>
<p>Displays help for the command.</p>
<a name="examples"></a>
<h2 id="examples">Examples</h2>
<p>Creates a profile with the name <code>oreo</code> that specifies the target platforms' <a href="qml-qbsmodules-qbs.html#architectures-prop">architectures</a> and operating systems, as well as the toolchains available:</p>
<pre class="cpp">

  qbs setup<span class="operator">-</span>android oreo

</pre>
</div>
<!-- @@@cli-setup-android.html -->
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
